Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IFlow

    com.change_vision.jude.api.inf.model.IFlow

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IFlow

extends INamedElement

Interface for Flows.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getAction()` Get Action.
`abstract String` | `getGuard()` Get Guard Condition.
`abstract IActivityNode` | `getSource()` Get ActivityNode as Source.
`abstract IActivityNode` | `getTarget()` Get ActivityNode as Target.
`abstract void` | `setAction(String action)` Set Action.
`abstract void` | `setGuard(String guard)` Set Guard Condition.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSource

    abstract IActivityNode getSource()

  Get ActivityNode as Source.

  Returns:
    ActivityNode.

### getTarget

    abstract IActivityNode getTarget()

  Get ActivityNode as Target.

  Returns:
    ActivityNode.

### getGuard

    abstract String getGuard()

  Get Guard Condition.

  Returns:
    Guard Condition.

### getAction

    abstract String getAction()

  Get Action.

  Returns:
    Action.

### setGuard

    abstract void setGuard(String guard)

  Set Guard Condition.

  Parameters:
    `guard` - Guard Condition. In the case of null, Guard Condition shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                PARAMETER_ERROR_KEY - if a parameter is not set properly.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.8.0

### setAction

    abstract void setAction(String action)

  Set Action.

  Parameters:
    `action` - Action. In the case of null, Action shall be deleted.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                PARAMETER_ERROR_KEY - if a parameter is not set properly.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD